package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @ClassName: CheckJyRlueStatusDto
 * @Description: 校验状态详情 --查看(规则执行结果表)
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "校验状态详情--查看返回参数对象", description = "校验状态详情--查看")
public class CheckJyRlueStatusDto {
    /**
     * 结果ID
     */
    @ApiModelProperty(value = "结果ID")
    private Long ruleCheckResultId;

    /**
     * 执行实例ID
     */
    @ApiModelProperty(value = "执行实例ID")
    private Long executionId;

    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long taskRuleId;

    /**
     * 校验结果
     */
    @ApiModelProperty(value = "校验结果：1 成功， 0失败")
    private String vResult;

    /**
     * 校验描述
     */
    @ApiModelProperty(value = "校验描述")
    private String resultDesc;

    /**
     * 源校验值
     */
    @ApiModelProperty(value = "源校验值")
    private BigDecimal scrChkValue;

    /**
     * 目标校验值
     */
    @ApiModelProperty(value = "目标校验值")
    private BigDecimal tgtChkValue;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String createTime;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 最后更新人
     */
    @ApiModelProperty(value = "最后更新人")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    /**
     * 规则名称
     */
    @ApiModelProperty(value = "规则名称")
    private String ruleName;

    public Long getRuleCheckResultId() {
        return ruleCheckResultId;
    }

    public void setRuleCheckResultId(Long ruleCheckResultId) {
        this.ruleCheckResultId = ruleCheckResultId;
    }

    public Long getExecutionId() {
        return executionId;
    }

    public void setExecutionId(Long executionId) {
        this.executionId = executionId;
    }

    public Long getTaskRuleId() {
        return taskRuleId;
    }

    public void setTaskRuleId(Long taskRuleId) {
        this.taskRuleId = taskRuleId;
    }

    public String getvResult() {
        return vResult;
    }

    public void setvResult(String vResult) {
        this.vResult = vResult;
    }

    public String getResultDesc() {
        return resultDesc;
    }

    public void setResultDesc(String resultDesc) {
        this.resultDesc = resultDesc;
    }

    public BigDecimal getScrChkValue() {
        return scrChkValue;
    }

    public void setScrChkValue(BigDecimal scrChkValue) {
        this.scrChkValue = scrChkValue;
    }

    public BigDecimal getTgtChkValue() {
        return tgtChkValue;
    }

    public void setTgtChkValue(BigDecimal tgtChkValue) {
        this.tgtChkValue = tgtChkValue;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }
}
